import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import { MinIoService } from '../services/min-io.service.'
import {IPicresponse} from "../models/picResponse";

@Component({
  selector: 'app-send-post',
  templateUrl: './send-post.component.html',
  styleUrls: ['./send-post.component.css']
})
export class SendPostComponent implements OnInit {

  progress: number;
  message: string;
  filename = '0';

  picResponse: IPicresponse


  constructor(public apiChatService: ApiChatService, public minIoService: MinIoService) {
  }


  sendPost(text: string) {
    this.apiChatService.sendPostToApi(text, this.filename).subscribe();
  }

   sendPic(event: any) {
     this.apiChatService.sendpic(event.target.files[0]).subscribe(
      response => {
      this.filename = response.value.toString()
    });
    //this.filename = this.picResponse.value.toString()
  }

  ngOnInit(): void {
  }

}
